AsterNet Class Library (Sandcastle documentation)

| HangupCommand Class

Hangs up the specified channel. If no channel name is given, hangs up the current channel.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
HangupCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class HangupCommand : AGICommand

    Public Class HangupCommand
    	Inherits AGICommand

    public ref class HangupCommand : public AGICommand

    type HangupCommand =
        class
            inherit AGICommand
        end

The HangupCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| HangupCommand | Creates a new HangupCommand that hangs up the current channel.
| HangupCommand(String) | Creates a new HangupCommand that hangs up the given channel.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Channel | Returns the name of the channel to hangup.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace